// ########################################################################
// ## vorsieb.h:                                                         ##
// ## Isomorphietest fr trivalente Graphen                              ##
// ## Copyright Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de            ##
// ##           WWW Homepage:     http://ibm.rhrz.uni-bonn.de/~uzs6pq    ##
// ##           Arash Shahi,      shahi@xmailer.informatik.uni-bonn.de   ##
// ##           Jamshid Azizi,    azizi@xmailer.informatik.uni-bonn.de   ##
// ########################################################################

#ifndef VORSIEB_H
#define VORSIEB_H


#include <bool.h>

#include "trigraph.h"


// Vorsieb fr den Isomorphietest:
// Hier wird untersucht, ob die Graphen *nicht* isomorph sind.
// Rckgabewerte:
// => true,  falls die Graphen *nicht* isomorph sind
// => false, falls die Graphen eventuell isomorph sein knnten
//              -> dann mu Isomorphietest durchgefhrt werden
//
// Vorbedingungen: t1.Knoten == t2.Knoten,
//                 t1.Kanten == t2.Kanten,
//                 t1.GradPartition[*] == t2.GradPartition[*]
//
bool Vorsieb(const TriGraph& t1, const TriGraph& t2);


#endif
